/************************************************************************/
/* CQBBEL GNU CC Common Control Software / (C) Toshio MURAI 2011, 2012	*/
/*      This is Free Software;   You can redistribute this software     */
/*      and/or modify it under the terms of the GNU General Public      */
/*      License version 3, or (at your option) any later version.       */
/************************************************************************/
ENTRY (main);

MEMORY {
    ram (rxw) :   ORIGIN = 0x20100000, LENGTH = 1M	/*check	*/
}

SECTIONS
{
	.text : 
        {
	/*	vect.o(.rodata)	*/
		*(.text*)
		*(.rodata*) 
		etext = .;
        } 

	.data : AT (etext){
		sdata = .;
		*(.data)
		edata = .;
	} 

	.bss : {
		sbss = .;
		*(.bss)
		*(COMMON)
		ebss = .;
	} 


	_interruptStack =  ORIGIN(ram) + LENGTH(ram) - 0x204 ;

	_systemStack =  ORIGIN(ram) + LENGTH(ram) -0x004;
}

