/****************************************************************/
/* GNU CC Common Control Software / (C) Toshio MURAI 2011-2013	*/
/*  This is Free Software;   You can redistribute this software	*/
/*  and/or modify it under the terms of the GNU General Publicr	*/
/*  License version 3, or (at your option) any later version.	*/
/****************************************************************/
	.text
#
#	Power	On Reset Start up Routine
#
	.globl	start
start:
        ldr     pc,  rvector
        nop
        nop
        nop
        nop
        nop
        ldr     pc,  ivector
        nop
rvector:
        .long start0
	.long 0x00
	.long 0x00
	.long 0x00
	.long 0x00
	.long 0x00
ivector:
        .long start0
	.long 0x00

start0:
	BL	initializeMemory
	BL	main
exit:				
	B	exit		


#
#	Interrupt	disable
#
.global	branch1
branch1:
	MOV	R0,#1
	MOV	PC,	LR		 /*  return */

.global	branch2
branch2:	
	MOV	R0,#2
	BX	LR		 /*  return */

.global	branch3
branch3:
	MOV	R0,#3
	MOV	R8,LR
	MOV	PC,	R8		 /*  return */

.global	branch4
branch4:	
	stmfd	sp!, {r2,r3,r4,r5,r6, r9,fp, lr}
	add	fp, sp, #4
	MOV	R0,#3
	sub	sp, fp, #4
	ldmfd	sp!, {r2,r3,r4,r5,r6, r9,fp, pc}

.global	branch5
branch5:	
	stmfd	sp!, {fp, lr}
	add	fp, sp, #4
	MOV	R0,#5
	sub	sp, fp, #4
	ldmfd	sp!, {fp, pc}

