/************************************************************************/
/* CQBBEL GNU CC Common Control Software / (C) Toshio MURAI 2011, 2012	*/
/*      This is Free Software;   You can redistribute this software     */
/*      and/or modify it under the terms of the GNU General Public      */
/*      License version 3, or (at your option) any later version.       */
/************************************************************************/
ENTRY (_start);

MEMORY {
/*A9	ram (w) :   ORIGIN = 0x20000000, LENGTH = 0x300000	*/
	ram (rxw) :   ORIGIN = 0x20200000, LENGTH = 8k
}

SECTIONS
{
	.text : 
	{
		vect.o(.rodata)
		*(.text*)
		*(.rodata*) 
		etext = .;
	} 

	.data : AT (etext){
		sdata = .;
		*(.data)
		edata = .;
	} 

	.bss : {
		sbss = .;
		*(.bss)
		*(COMMON)
		ebss = .;
	} 

	. =  ORIGIN(ram) + LENGTH(ram) - 0x200 ;
	_exceptionStack  = .;
	_undefStack = .;	
	_abortStack = .;

	_supervisorStack =  ORIGIN(ram) + LENGTH(ram) -0x200;
	_exceptionStack =  ORIGIN(ram) + LENGTH(ram) ;

}



